--- old/usr/src/uts/i86pc/vm/htable.c	2014-07-28 07:44:59.109886196 -0400
+++ new/usr/src/uts/i86pc/vm/htable.c	2014-07-28 07:44:59.116287520 -0400
@@ -303,7 +303,7 @@
 	pfn = pp->p_pagenum;
 	if (pfn == PFN_INVALID)
 		panic("ptable_alloc(): Invalid PFN!!");
-	atomic_add_32(&active_ptables, 1);
+	atomic_inc_32(&active_ptables);
 	HATSTAT_INC(hs_ptable_allocs);
 	return (pfn);
 }
@@ -322,7 +322,7 @@
 	 */
 	ASSERT(pfn != PFN_INVALID);
 	HATSTAT_INC(hs_ptable_frees);
-	atomic_add_32(&active_ptables, -1);
+	atomic_dec_32(&active_ptables);
 	if (pp == NULL)
 		panic("ptable_free(): no page for pfn!");
 	ASSERT(PAGE_SHARED(pp));
@@ -460,7 +460,7 @@
 	 * Loop through all user hats. The 1st pass takes cached htables that
 	 * aren't in use. The later passes steal by removing mappings, too.
 	 */
-	atomic_add_32(&htable_dont_cache, 1);
+	atomic_inc_32(&htable_dont_cache);
 	for (pass = 0; pass <= htable_steal_passes && stolen < cnt; ++pass) {
 		threshold = pass * mmu.ptes_per_table / htable_steal_passes;
 		hat = kas.a_hat;
@@ -669,7 +669,7 @@
 			} while (stolen < cnt && h != h_start);
 		}
 	}
-	atomic_add_32(&htable_dont_cache, -1);
+	atomic_dec_32(&htable_dont_cache);
 	return (list);
 }
 
@@ -985,7 +985,7 @@
 	 * Purge the htable cache if just reaping.
 	 */
 	if (!(hat->hat_flags & HAT_FREEING)) {
-		atomic_add_32(&htable_dont_cache, 1);
+		atomic_inc_32(&htable_dont_cache);
 		for (;;) {
 			hat_enter(hat);
 			ht = hat->hat_ht_cached;
@@ -997,7 +997,7 @@
 			hat_exit(hat);
 			htable_free(ht);
 		}
-		atomic_add_32(&htable_dont_cache, -1);
+		atomic_dec_32(&htable_dont_cache);
 		return;
 	}
 
--- old/usr/src/uts/i86pc/vm/htable.h	2014-07-28 07:44:59.362288196 -0400
+++ new/usr/src/uts/i86pc/vm/htable.h	2014-07-28 07:44:59.368346519 -0400
@@ -26,8 +26,6 @@
 #ifndef	_VM_HTABLE_H
 #define	_VM_HTABLE_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -292,8 +290,8 @@
  */
 #define	HTABLE_INC(x)	atomic_inc16((uint16_t *)&x)
 #define	HTABLE_DEC(x)	atomic_dec16((uint16_t *)&x)
-#define	HTABLE_LOCK_INC(ht)	atomic_add_32(&(ht)->ht_lock_cnt, 1)
-#define	HTABLE_LOCK_DEC(ht)	atomic_add_32(&(ht)->ht_lock_cnt, -1)
+#define	HTABLE_LOCK_INC(ht)	atomic_inc_32(&(ht)->ht_lock_cnt)
+#define	HTABLE_LOCK_DEC(ht)	atomic_dec_32(&(ht)->ht_lock_cnt)
 
 #ifdef __xpv
 extern void xen_flush_va(caddr_t va);
--- old/usr/src/uts/i86xpv/io/psm/xpv_uppc.c	2014-07-28 07:44:59.536909233 -0400
+++ new/usr/src/uts/i86xpv/io/psm/xpv_uppc.c	2014-07-28 07:44:59.542932929 -0400
@@ -251,7 +251,7 @@
 	cpuset_t cpus;
 
 	if (irqno >= 0 && irqno <= MAX_ISA_IRQ)
-		atomic_add_16(&xen_uppc_irq_shared_table[irqno], 1);
+		atomic_inc_16(&xen_uppc_irq_shared_table[irqno]);
 
 	/*
 	 * We are called at splhi() so we can't call anything that might end
@@ -284,7 +284,7 @@
 	int err = PSM_SUCCESS;
 
 	if (irqno >= 0 && irqno <= MAX_ISA_IRQ)
-		atomic_add_16(&xen_uppc_irq_shared_table[irqno], -1);
+		atomic_dec_16(&xen_uppc_irq_shared_table[irqno]);
 
 	if (irqno >= PIRQ_BASE && irqno < NR_PIRQS &&
 	    DOMAIN_IS_INITDOMAIN(xen_info)) {
--- old/usr/src/uts/intel/io/scsi/adapters/arcmsr/arcmsr.c	2014-07-28 07:44:59.730646317 -0400
+++ new/usr/src/uts/intel/io/scsi/adapters/arcmsr/arcmsr.c	2014-07-28 07:44:59.737002509 -0400
@@ -1842,7 +1842,7 @@
 	    DDI_FAILURE)
 		return (DDI_FAILURE);
 
-	atomic_add_32(&acb->ccboutstandingcount, 1);
+	atomic_inc_32(&acb->ccboutstandingcount);
 	ccb->ccb_time = (time_t)(ddi_get_time() + pkt->pkt_time);
 
 	ccb->ccb_state = ARCMSR_CCB_START;
@@ -1955,7 +1955,7 @@
 		scsi_hba_pkt_comp(pkt);
 	}
 	if (flag == 1) {
-		atomic_add_32(&acb->ccboutstandingcount, -1);
+		atomic_dec_32(&acb->ccboutstandingcount);
 	}
 }
 
--- old/usr/src/uts/sfmmu/vm/hat_sfmmu.c	2014-07-28 07:45:00.107890123 -0400
+++ new/usr/src/uts/sfmmu/vm/hat_sfmmu.c	2014-07-28 07:45:00.114390845 -0400
@@ -2151,7 +2151,7 @@
 		VN_HOLD(srdp->srd_evp);
 		ASSERT(srdp->srd_refcnt > 0);
 		newhat->sfmmu_srdp = srdp;
-		atomic_add_32((volatile uint_t *)&srdp->srd_refcnt, 1);
+		atomic_inc_32((volatile uint_t *)&srdp->srd_refcnt);
 	}
 
 	/*
@@ -3227,7 +3227,7 @@
 			panic("too high lckcnt-hmeblk %p",
 			    (void *)hmeblkp);
 		}
-		atomic_add_32(&hmeblkp->hblk_lckcnt, 1);
+		atomic_inc_32(&hmeblkp->hblk_lckcnt);
 
 		HBLK_STACK_TRACE(hmeblkp, HBLK_LOCK);
 	}
@@ -3262,9 +3262,9 @@
 
 	if (!TTE_IS_VALID(&tteold)) {
 
-		atomic_add_16(&hmeblkp->hblk_vcnt, 1);
+		atomic_inc_16(&hmeblkp->hblk_vcnt);
 		if (rid == SFMMU_INVALID_SHMERID) {
-			atomic_add_long(&sfmmup->sfmmu_ttecnt[size], 1);
+			atomic_inc_ulong(&sfmmup->sfmmu_ttecnt[size]);
 		} else {
 			sf_srd_t *srdp = sfmmup->sfmmu_srdp;
 			sf_region_t *rgnp = srdp->srd_hmergnp[rid];
@@ -3273,7 +3273,7 @@
 			 * during hat_join_region() processing. Here we
 			 * only update ttecnt's in region struture.
 			 */
-			atomic_add_long(&rgnp->rgn_ttecnt[size], 1);
+			atomic_inc_ulong(&rgnp->rgn_ttecnt[size]);
 		}
 	}
 
@@ -3381,7 +3381,7 @@
 	if (pp) {
 		if (!remap) {
 			HME_ADD(sfhme, pp);
-			atomic_add_16(&hmeblkp->hblk_hmecnt, 1);
+			atomic_inc_16(&hmeblkp->hblk_hmecnt);
 			ASSERT(hmeblkp->hblk_hmecnt > 0);
 
 			/*
@@ -4154,7 +4154,7 @@
 				panic("can't unlock large tte");
 
 			ASSERT(hmeblkp->hblk_lckcnt > 0);
-			atomic_add_32(&hmeblkp->hblk_lckcnt, -1);
+			atomic_dec_32(&hmeblkp->hblk_lckcnt);
 			HBLK_STACK_TRACE(hmeblkp, HBLK_UNLOCK);
 		} else {
 			panic("sfmmu_hblk_unlock: invalid tte");
@@ -6133,7 +6133,7 @@
 
 			if (flags & HAT_UNLOAD_UNLOCK) {
 				ASSERT(hmeblkp->hblk_lckcnt > 0);
-				atomic_add_32(&hmeblkp->hblk_lckcnt, -1);
+				atomic_dec_32(&hmeblkp->hblk_lckcnt);
 				HBLK_STACK_TRACE(hmeblkp, HBLK_UNLOCK);
 			}
 
@@ -6187,11 +6187,11 @@
 				 */
 				HME_SUB(sfhmep, pp);
 				membar_stst();
-				atomic_add_16(&hmeblkp->hblk_hmecnt, -1);
+				atomic_dec_16(&hmeblkp->hblk_hmecnt);
 			}
 
 			ASSERT(hmeblkp->hblk_vcnt > 0);
-			atomic_add_16(&hmeblkp->hblk_vcnt, -1);
+			atomic_dec_16(&hmeblkp->hblk_vcnt);
 
 			ASSERT(hmeblkp->hblk_hmecnt || hmeblkp->hblk_vcnt ||
 			    !hmeblkp->hblk_lckcnt);
@@ -7349,10 +7349,10 @@
 			cpuset = sfmmu_rgntlb_demap(addr, rgnp, hmeblkp, 1);
 			sfmmu_ttesync(NULL, addr, &tte, pp);
 			ASSERT(rgnp->rgn_ttecnt[ttesz] > 0);
-			atomic_add_long(&rgnp->rgn_ttecnt[ttesz], -1);
+			atomic_dec_ulong(&rgnp->rgn_ttecnt[ttesz]);
 		} else {
 			sfmmu_ttesync(sfmmup, addr, &tte, pp);
-			atomic_add_long(&sfmmup->sfmmu_ttecnt[ttesz], -1);
+			atomic_dec_ulong(&sfmmup->sfmmu_ttecnt[ttesz]);
 
 			/*
 			 * We need to flush the page from the virtual cache
@@ -7413,8 +7413,8 @@
 		 */
 		ASSERT(hmeblkp->hblk_hmecnt > 0);
 		ASSERT(hmeblkp->hblk_vcnt > 0);
-		atomic_add_16(&hmeblkp->hblk_vcnt, -1);
-		atomic_add_16(&hmeblkp->hblk_hmecnt, -1);
+		atomic_dec_16(&hmeblkp->hblk_vcnt);
+		atomic_dec_16(&hmeblkp->hblk_hmecnt);
 		/*
 		 * This is bug 4063182.
 		 * XXX: fixme
@@ -13813,8 +13813,8 @@
 			if (srdp->srd_evp == evp) {
 				ASSERT(srdp->srd_refcnt >= 0);
 				sfmmup->sfmmu_srdp = srdp;
-				atomic_add_32(
-				    (volatile uint_t *)&srdp->srd_refcnt, 1);
+				atomic_inc_32(
+				    (volatile uint_t *)&srdp->srd_refcnt);
 				mutex_exit(&srd_buckets[hash].srdb_lock);
 				return;
 			}
@@ -13835,7 +13835,7 @@
 		if (srdp->srd_evp == evp) {
 			ASSERT(srdp->srd_refcnt >= 0);
 			sfmmup->sfmmu_srdp = srdp;
-			atomic_add_32((volatile uint_t *)&srdp->srd_refcnt, 1);
+			atomic_inc_32((volatile uint_t *)&srdp->srd_refcnt);
 			mutex_exit(&srd_buckets[hash].srdb_lock);
 			kmem_cache_free(srd_cache, newsrdp);
 			return;
@@ -13872,8 +13872,7 @@
 	sfmmup->sfmmu_srdp = NULL;
 	evp = srdp->srd_evp;
 	ASSERT(evp != NULL);
-	if (atomic_add_32_nv(
-	    (volatile uint_t *)&srdp->srd_refcnt, -1)) {
+	if (atomic_dec_32_nv((volatile uint_t *)&srdp->srd_refcnt)) {
 		VN_RELE(evp);
 		return;
 	}
@@ -14090,7 +14089,7 @@
 		ASSERT(rid < maxids);
 		ASSERT(rarrp[rid] == rgnp);
 		ASSERT(rid < *nextidp);
-		atomic_add_32((volatile uint_t *)&rgnp->rgn_refcnt, 1);
+		atomic_inc_32((volatile uint_t *)&rgnp->rgn_refcnt);
 		mutex_exit(&srdp->srd_mutex);
 		if (new_rgnp != NULL) {
 			kmem_cache_free(region_cache, new_rgnp);
@@ -14440,7 +14439,7 @@
 	}
 
 	r_obj = rgnp->rgn_obj;
-	if (atomic_add_32_nv((volatile uint_t *)&rgnp->rgn_refcnt, -1)) {
+	if (atomic_dec_32_nv((volatile uint_t *)&rgnp->rgn_refcnt)) {
 		return;
 	}
 
@@ -14525,7 +14524,7 @@
 	ASSERT((rgnp->rgn_flags & SFMMU_REGION_TYPE_MASK) == SFMMU_REGION_HME);
 	ASSERT(!(rgnp->rgn_flags & SFMMU_REGION_FREE));
 
-	atomic_add_32((volatile uint_t *)&rgnp->rgn_refcnt, 1);
+	atomic_inc_32((volatile uint_t *)&rgnp->rgn_refcnt);
 
 	/* LINTED: constant in conditional context */
 	SFMMU_HMERID2RLINKP(sfmmup, rid, rlink, 1, 0);
@@ -15255,8 +15254,7 @@
 			mutex_exit(&srdp->srd_scd_mutex);
 			sfmmu_join_scd(scdp, sfmmup);
 			ASSERT(scdp->scd_refcnt >= 2);
-			atomic_add_32((volatile uint32_t *)
-			    &scdp->scd_refcnt, -1);
+			atomic_dec_32((volatile uint32_t *)&scdp->scd_refcnt);
 			return;
 		} else {
 			/*
@@ -15301,7 +15299,7 @@
 	mutex_exit(&srdp->srd_scd_mutex);
 	sfmmu_join_scd(new_scdp, sfmmup);
 	ASSERT(new_scdp->scd_refcnt >= 2);
-	atomic_add_32((volatile uint32_t *)&new_scdp->scd_refcnt, -1);
+	atomic_dec_32((volatile uint32_t *)&new_scdp->scd_refcnt);
 }
 
 /*
--- old/usr/src/uts/sfmmu/vm/hat_sfmmu.h	2014-07-28 07:45:00.845153819 -0400
+++ new/usr/src/uts/sfmmu/vm/hat_sfmmu.h	2014-07-28 07:45:00.851238098 -0400
@@ -359,13 +359,12 @@
 }
 
 #define	SF_SCD_INCR_REF(scdp) {						\
-	atomic_add_32((volatile uint32_t *)&(scdp)->scd_refcnt, 1);	\
+	atomic_inc_32((volatile uint32_t *)&(scdp)->scd_refcnt);	\
 }
 
 #define	SF_SCD_DECR_REF(srdp, scdp) {				\
 	sf_region_map_t _scd_rmap = (scdp)->scd_region_map;	\
-	if (!atomic_add_32_nv(					\
-	    (volatile uint32_t *)&(scdp)->scd_refcnt, -1)) {	\
+	if (!atomic_dec_32_nv((volatile uint32_t *)&(scdp)->scd_refcnt)) {\
 		sfmmu_destroy_scd((srdp), (scdp), &_scd_rmap);	\
 	}							\
 }
--- old/usr/src/uts/sparc/dtrace/fasttrap_isa.c	2014-07-28 07:45:01.099446626 -0400
+++ new/usr/src/uts/sparc/dtrace/fasttrap_isa.c	2014-07-28 07:45:01.105508785 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/fasttrap_isa.h>
 #include <sys/fasttrap_impl.h>
 #include <sys/dtrace.h>
@@ -1410,7 +1408,7 @@
 		value = dtrace_getreg_win(reg, 1);
 		dtrace_interrupt_enable(cookie);
 
-		atomic_add_64(&fasttrap_getreg_fast_cnt, 1);
+		atomic_inc_64(&fasttrap_getreg_fast_cnt);
 
 		return (value);
 	}
@@ -1435,7 +1433,7 @@
 				if ((long)mpcb->mpcb_spbuf[i] != rp->r_sp)
 					continue;
 
-				atomic_add_64(&fasttrap_getreg_mpcb_cnt, 1);
+				atomic_inc_64(&fasttrap_getreg_mpcb_cnt);
 				return (rwin[i].rw_local[reg - 16]);
 			} while (i > 0);
 		}
@@ -1455,7 +1453,7 @@
 				if ((long)mpcb->mpcb_spbuf[i] != rp->r_sp)
 					continue;
 
-				atomic_add_64(&fasttrap_getreg_mpcb_cnt, 1);
+				atomic_inc_64(&fasttrap_getreg_mpcb_cnt);
 				return (rwin[i].rw_local[reg - 16]);
 			} while (i > 0);
 		}
@@ -1466,7 +1464,7 @@
 		v32[0] = 0;
 	}
 
-	atomic_add_64(&fasttrap_getreg_slow_cnt, 1);
+	atomic_inc_64(&fasttrap_getreg_slow_cnt);
 	return (value);
 
 err:
@@ -1505,7 +1503,7 @@
 	if (dtrace_getotherwin() > 0) {
 		dtrace_putreg_win(reg, value);
 		dtrace_interrupt_enable(cookie);
-		atomic_add_64(&fasttrap_putreg_fast_cnt, 1);
+		atomic_inc_64(&fasttrap_putreg_fast_cnt);
 		return;
 	}
 	dtrace_interrupt_enable(cookie);
@@ -1536,7 +1534,7 @@
 					continue;
 
 				rwin[i].rw_local[reg - 16] = value;
-				atomic_add_64(&fasttrap_putreg_mpcb_cnt, 1);
+				atomic_inc_64(&fasttrap_putreg_mpcb_cnt);
 				return;
 			} while (i > 0);
 		}
@@ -1549,7 +1547,7 @@
 			rwin[mpcb->mpcb_wbcnt].rw_local[reg - 16] = value;
 			mpcb->mpcb_spbuf[mpcb->mpcb_wbcnt] = (caddr_t)rp->r_sp;
 			mpcb->mpcb_wbcnt++;
-			atomic_add_64(&fasttrap_putreg_mpcb_cnt, 1);
+			atomic_inc_64(&fasttrap_putreg_mpcb_cnt);
 			return;
 		}
 	} else {
@@ -1567,7 +1565,7 @@
 					continue;
 
 				rwin[i].rw_local[reg - 16] = v32;
-				atomic_add_64(&fasttrap_putreg_mpcb_cnt, 1);
+				atomic_inc_64(&fasttrap_putreg_mpcb_cnt);
 				return;
 			} while (i > 0);
 		}
@@ -1580,12 +1578,12 @@
 			rwin[mpcb->mpcb_wbcnt].rw_local[reg - 16] = v32;
 			mpcb->mpcb_spbuf[mpcb->mpcb_wbcnt] = (caddr_t)rp->r_sp;
 			mpcb->mpcb_wbcnt++;
-			atomic_add_64(&fasttrap_putreg_mpcb_cnt, 1);
+			atomic_inc_64(&fasttrap_putreg_mpcb_cnt);
 			return;
 		}
 	}
 
-	atomic_add_64(&fasttrap_putreg_slow_cnt, 1);
+	atomic_inc_64(&fasttrap_putreg_slow_cnt);
 	return;
 
 err:
--- old/usr/src/uts/sparc/fpu/fpu_simulator.c	2014-07-28 07:45:01.322056077 -0400
+++ new/usr/src/uts/sparc/fpu/fpu_simulator.c	2014-07-28 07:45:01.328015309 -0400
@@ -42,7 +42,7 @@
 	extern void __dtrace_probe___fpuinfo_##opcode(uint64_t *);	\
 	uint64_t *stataddr = &fpuinfo.opcode.value.ui64;		\
 	__dtrace_probe___fpuinfo_##opcode(stataddr);			\
-	atomic_add_64(&fpuinfo.opcode.value.ui64, 1);			\
+	atomic_inc_64(&fpuinfo.opcode.value.ui64);			\
 }
 
 #define	FPUINFO_KSTAT_PREC(prec, kstat_s, kstat_d, kstat_q)		\
@@ -791,9 +791,9 @@
 	ASSERT((ftt == ftt_ieee) || (ftt == ftt_unfinished) ||
 	    (ftt == ftt_unimplemented));
 	if (ftt == ftt_ieee)
-		atomic_add_64(&fpustat.fpu_ieee_traps.value.ui64, 1);
+		atomic_inc_64(&fpustat.fpu_ieee_traps.value.ui64);
 	else if (ftt == ftt_unfinished)
-		atomic_add_64(&fpustat.fpu_unfinished_traps.value.ui64, 1);
+		atomic_inc_64(&fpustat.fpu_unfinished_traps.value.ui64);
 	else if (ftt == ftt_unimplemented)
-		atomic_add_64(&fpustat.fpu_unimplemented_traps.value.ui64, 1);
+		atomic_inc_64(&fpustat.fpu_unimplemented_traps.value.ui64);
 }
--- old/usr/src/uts/sparc/sys/fpu/fpu_simulator.h	2014-07-28 07:45:01.517526845 -0400
+++ new/usr/src/uts/sparc/sys/fpu/fpu_simulator.h	2014-07-28 07:45:01.523543126 -0400
@@ -379,7 +379,7 @@
 	extern void __dtrace_probe___visinfo_##opcode(uint64_t *);	\
 	uint64_t *stataddr = &visinfo.opcode.value.ui64;		\
 	__dtrace_probe___visinfo_##opcode(stataddr);       		\
-	atomic_add_64(&visinfo.opcode.value.ui64, 1);			\
+	atomic_inc_64(&visinfo.opcode.value.ui64);			\
 }
 
 
--- old/usr/src/uts/sun4/os/memnode.c	2014-07-28 07:45:01.696085741 -0400
+++ new/usr/src/uts/sun4/os/memnode.c	2014-07-28 07:45:01.702156378 -0400
@@ -94,7 +94,7 @@
 	} else {
 		mem_node_config[mnode].physbase = start;
 		mem_node_config[mnode].physmax = end;
-		atomic_add_16(&num_memnodes, 1);
+		atomic_inc_16(&num_memnodes);
 		do {
 			oldmask = memnodes_mask;
 			newmask = memnodes_mask | (1ull << mnode);
@@ -160,7 +160,7 @@
 			omask = memnodes_mask;
 			nmask = omask & ~(1ull << mnode);
 		} while (atomic_cas_64(&memnodes_mask, omask, nmask) != omask);
-		atomic_add_16(&num_memnodes, -1);
+		atomic_dec_16(&num_memnodes);
 		mem_node_config[mnode].exists = 0;
 	}
 }
@@ -230,7 +230,7 @@
 
 	mem_node_config[mnode].physbase = (uint64_t)-1;
 	mem_node_config[mnode].physmax = 0;
-	atomic_add_16(&num_memnodes, 1);
+	atomic_inc_16(&num_memnodes);
 	do {
 		oldmask = memnodes_mask;
 		newmask = memnodes_mask | (1ull << mnode);
--- old/usr/src/uts/sun4/os/prom_subr.c	2014-07-28 07:45:01.868818680 -0400
+++ new/usr/src/uts/sun4/os/prom_subr.c	2014-07-28 07:45:01.875219446 -0400
@@ -318,7 +318,7 @@
 	 * We now hold the prom_cpu lock.  Increment the hold count by one
 	 * and assert our current state before returning to the caller.
 	 */
-	atomic_add_32(&prom_holdcnt, 1);
+	atomic_inc_32(&prom_holdcnt);
 	ASSERT(prom_holdcnt >= 1);
 	prom_thread = curthread;
 }
@@ -345,7 +345,7 @@
 		panic("kern_postprom: prom_holdcnt == 0, owner=%p",
 		    (void *)prom_cpu);
 
-	if (atomic_add_32_nv(&prom_holdcnt, -1) != 0)
+	if (atomic_dec_32_nv(&prom_holdcnt) != 0)
 		return; /* prom lock is held recursively by this CPU */
 
 	if ((boothowto & RB_DEBUG) && prom_exit_enter_debugger)
--- old/usr/src/uts/sun4u/cpu/spitfire.c	2014-07-28 07:45:02.051221871 -0400
+++ new/usr/src/uts/sun4u/cpu/spitfire.c	2014-07-28 07:45:02.057310463 -0400
@@ -4237,7 +4237,7 @@
 
 	for (i = 0; i < mem_ce_simm_size; i++) {
 		if (psimm[i].leaky_bucket_cnt > 0)
-			atomic_add_16(&psimm[i].leaky_bucket_cnt, -1);
+			atomic_dec_16(&psimm[i].leaky_bucket_cnt);
 	}
 	add_leaky_bucket_timeout();
 }
@@ -4382,8 +4382,8 @@
 			} else if (status & ECC_PERSISTENT) {
 				int new_value;
 
-				new_value = atomic_add_16_nv(
-				    &psimm[i].leaky_bucket_cnt, 1);
+				new_value = atomic_inc_16_nv(
+				    &psimm[i].leaky_bucket_cnt);
 				psimm[i].persistent_total++;
 				if (new_value > ecc_softerr_limit) {
 					cmn_err(CE_NOTE, "[AFT0] Most recent %d"
@@ -4394,8 +4394,8 @@
 					    ecc_softerr_limit,
 					    ecc_softerr_interval / 60,
 					    ecc_softerr_interval % 60);
-					atomic_add_16(
-					    &psimm[i].leaky_bucket_cnt, -1);
+					atomic_dec_16(
+					    &psimm[i].leaky_bucket_cnt);
 					page_status = PR_MCE;
 				}
 			} else { /* Intermittent */
--- old/usr/src/uts/sun4u/cpu/us3_common.c	2014-07-28 07:45:02.367306056 -0400
+++ new/usr/src/uts/sun4u/cpu/us3_common.c	2014-07-28 07:45:02.373486380 -0400
@@ -5642,7 +5642,7 @@
 	uint32_t *outstanding = &csmp->chsm_outstanding[index];
 
 	if (*(csi->csi_enable) && (csmp->chsm_enable[index])) {
-		if (atomic_add_32_nv(outstanding, 1) == 1) {
+		if (atomic_inc_32_nv(outstanding) == 1) {
 			xt_one_unchecked(CPU->cpu_id, setsoftint_tl1,
 			    csi->csi_inum, 0);
 		}
--- old/usr/src/uts/sun4u/os/memscrub.c	2014-07-28 07:45:02.782009872 -0400
+++ new/usr/src/uts/sun4u/os/memscrub.c	2014-07-28 07:45:02.787969641 -0400
@@ -1414,7 +1414,7 @@
 	 * atomic_add_32() allows concurrent memory DR operations to use the
 	 * callbacks safely.
 	 */
-	atomic_add_32(&pause_memscrub, 1);
+	atomic_inc_32(&pause_memscrub);
 	ASSERT(pause_memscrub != 0);
 
 	/*
@@ -1423,7 +1423,7 @@
 	(void) new_memscrub(0);		/* retain page retire list */
 
 	/* Restore the pause setting. */
-	atomic_add_32(&pause_memscrub, -1);
+	atomic_dec_32(&pause_memscrub);
 }
 
 /*ARGSUSED*/
@@ -1450,7 +1450,7 @@
 	 * atomic_add_32() allows concurrent memory DR operations to use the
 	 * callbacks safely.
 	 */
-	atomic_add_32(&pause_memscrub, 1);
+	atomic_inc_32(&pause_memscrub);
 	ASSERT(pause_memscrub != 0);
 
 	/*
@@ -1461,7 +1461,7 @@
 	}
 
 	/* Restore the pause setting. */
-	atomic_add_32(&pause_memscrub, -1);
+	atomic_dec_32(&pause_memscrub);
 }
 
 static kphysm_setup_vector_t memscrub_mem_config_vec = {
--- old/usr/src/uts/sun4u/sunfire/io/ac_test.c	2014-07-28 07:45:02.991297074 -0400
+++ new/usr/src/uts/sun4u/sunfire/io/ac_test.c	2014-07-28 07:45:02.997253154 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/conf.h>
 #include <sys/ddi.h>
@@ -192,7 +190,7 @@
 	test->board = softsp->board;
 	test->bank = pkt->bank;
 	test->bufp = kmem_alloc(TEST_PAGESIZE, KM_SLEEP);
-	test->info.handle = atomic_add_32_nv(&mem_test_sequence_id, 1);
+	test->info.handle = atomic_inc_32_nv(&mem_test_sequence_id);
 	(void) drv_getparm(PPID, (ulong_t *)(&(test->info.tester_pid)));
 	test->info.prev_condition = mem_info->condition;
 	test->info.page_size = TEST_PAGESIZE;
@@ -404,7 +402,7 @@
 	}
 
 	/* bump the busy bit */
-	atomic_add_32(&test->in_test, 1);
+	atomic_inc_32(&test->in_test);
 	mutex_exit(&test_mutex);
 
 	/* verify the remaining parameters */
@@ -498,7 +496,7 @@
 	}
 
 read_done:
-	atomic_add_32(&test->in_test, -1);
+	atomic_dec_32(&test->in_test);
 	return (retval);
 }
 
@@ -550,7 +548,7 @@
 	}
 
 	/* bump the busy bit */
-	atomic_add_32(&test->in_test, 1);
+	atomic_inc_32(&test->in_test);
 	mutex_exit(&test_mutex);
 
 	/* verify the remaining parameters */
@@ -602,6 +600,6 @@
 	kpreempt_enable();
 
 write_done:
-	atomic_add_32(&test->in_test, -1);
+	atomic_dec_32(&test->in_test);
 	return (retval);
 }
--- old/usr/src/uts/sun4u/sys/pci/pci_axq.h	2014-07-28 07:45:03.176038272 -0400
+++ new/usr/src/uts/sun4u/sys/pci/pci_axq.h	2014-07-28 07:45:03.182041016 -0400
@@ -27,8 +27,6 @@
 #ifndef	_SYS_PCI_AXQ_H
 #define	_SYS_PCI_AXQ_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/atomic.h>
 
@@ -42,18 +40,18 @@
 					do {\
 						n = p->pbm_pio_counter;\
 					} while (n <= 0);\
-					if (atomic_add_32_nv(\
-					    (uint_t *)&p->pbm_pio_counter, -1)\
+					if (atomic_dec_32_nv(\
+					    (uint_t *)&p->pbm_pio_counter)\
 					    == (n - 1))\
 						break;\
-					atomic_add_32(\
-					    (uint_t *)&p->pbm_pio_counter, 1);\
+					atomic_inc_32(\
+					    (uint_t *)&p->pbm_pio_counter);\
 				}\
 				}
 
 
 
-#define	PIO_LIMIT_EXIT(p)	atomic_add_32((uint_t *)&p->pbm_pio_counter, 1);
+#define	PIO_LIMIT_EXIT(p)	atomic_inc_32((uint_t *)&p->pbm_pio_counter);
 
 extern void pci_axq_setup(ddi_map_req_t *mp, pbm_t *pbm_p);
 extern void pci_axq_pio_limit(pbm_t *pbm_p);
